/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.like.events;

import org.xwiki.observation.event.Event;
import org.xwiki.stability.Unstable;

/**
 * An event sent when a Like action is performed.
 *
 * The following information are sent along with the event:
 *   - source: a {@link org.xwiki.user.UserReference} of the user who performs the like
 *   - data: the {@link org.xwiki.model.reference.EntityReference} being target of the like.
 *
 * @version $Id: 9a8b6dd9f47ca18fdf5d3cbc84c90a9324667dc8 $
 * @since 12.7RC1
 */
@Unstable
public class LikeEvent implements Event
{
    @Override
    public boolean matches(Object otherEvent)
    {
        return otherEvent instanceof LikeEvent;
    }
}
